CREATE TABLE IF NOT EXISTS `ot_answers` (
  `id_answer` int(7) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `correct` tinyint(1) NOT NULL,
  `id_question` int(7) NOT NULL,
  PRIMARY KEY (`id_answer`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `ot_log` (
  `id_log` int(7) NOT NULL AUTO_INCREMENT,
  `time` datetime NOT NULL,
  `id_user` int(7) NOT NULL,
  `id_test` int(7) NOT NULL,
  PRIMARY KEY (`id_log`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `ot_questions` (
  `id_question` int(6) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `answer1` varchar(255) NOT NULL,
  `answer2` varchar(255) NOT NULL,
  `answer3` varchar(255) NOT NULL,
  `answer4` varchar(255) NOT NULL,
  `answer5` varchar(255) NOT NULL,
  `rightanswer1` tinyint(1) NOT NULL,
  `rightanswer2` tinyint(1) NOT NULL,
  `rightanswer3` tinyint(1) NOT NULL,
  `rightanswer4` tinyint(1) NOT NULL,
  `rightanswer5` tinyint(1) NOT NULL,
  `id_test` int(6) NOT NULL,
  PRIMARY KEY (`id_question`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

INSERT INTO `ot_questions` (`id_question`, `name`, `answer1`, `answer2`, `answer3`, `answer4`, `answer5`, `rightanswer1`, `rightanswer2`, `rightanswer3`, `rightanswer4`, `rightanswer5`, `id_test`) VALUES
(1, 'Вопрос 1?', 'Ответ 1', 'Ответ 2', 'Ответ 3', 'Ответ 4', '', 1, 0, 0, 1, 0, 1),
(2, 'Вопрос 2?', 'Ответ 1', 'Ответ 2', 'Ответ 3', 'Ответ 4', '', 1, 0, 0, 0, 0, 1),
(3, 'Вопрос 3?', 'Ответ 1', 'Ответ 2', 'Ответ 3', 'Ответ 4', '', 0, 1, 0, 0, 0, 1),
(4, 'Вопрос 4?', 'Ответ 1', 'Ответ 2', 'Ответ 3', 'Ответ 4', '', 0, 0, 0, 1, 0, 1);

CREATE TABLE IF NOT EXISTS `ot_result` (
  `id_result` int(7) NOT NULL AUTO_INCREMENT,
  `time` datetime NOT NULL,
  `test_result` tinyint(1) NOT NULL,
  `id_question` int(7) NOT NULL,
  `id_log` int(7) NOT NULL,
  PRIMARY KEY (`id_result`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

CREATE TABLE IF NOT EXISTS `ot_test` (
  `id_test` int(6) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  PRIMARY KEY (`id_test`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

INSERT INTO `ot_test` (`id_test`, `name`, `description`) VALUES
(1, 'тест 1', 'описание теста 1'),
(2, 'тест 2', 'описание теста 2'),
(3, 'тест 3', 'описание теста 3');

CREATE TABLE IF NOT EXISTS `ot_users` (
  `id_user` int(6) NOT NULL AUTO_INCREMENT,
  `login` varchar(200) NOT NULL,
  `psswd` varchar(64) NOT NULL,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY (`id_user`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;


INSERT INTO `ot_users` (`id_user`, `login`, `psswd`, `name`) VALUES
(1, 'admin', '098f6bcd4621d373cade4e832627b4f6', 'Админ');