<?php

////////////////////////////////////
// Infotest v1.0.0 beta            
// (C) 2014 Alexander Yanitsky
// Website: http://janicky.com     
// E-mail: janickiy@mail.ru        
// Skype: janickiy                 
///////////////////////////////////

require "admin/lib/config.php";
require "admin/class/class.exception_mysql.php";

try
{
	require_once "admin/lib/function.inc";
	require_once "admin/lib/connect.inc";	

	$error = array();
	$action = "";
	$action = $_POST["action"];	

	if(!empty($action)){
		$_POST['login'] = trim($_POST['login']);
		$_POST['passw'] = trim(htmlspecialchars($_POST['passw']));
		$_POST['name'] = trim(htmlspecialchars($_POST['name']));
	
		if(empty($_POST['login'])){
			$action = "";
			$error[] = "Введите логин!";
		}

		if(!preg_match("/^([0-9a-z]+)$/ui", $_POST['login'])){
			$action = "";
			$error[] = "В логине разрешено использовать только латинские буквы и цыфры!";
		}
	
		if(empty($_POST['passw'])){
			$action = "";
			$error[] = "Введите пароль!";
		}
	
		if(strlen($_POST['passw'])<6) {
			$action = "";
			$error[] = "Количество символов в пароле меньше 6!";
		}
	
		if(!empty($_POST['login'])){
		
			$query = "SELECT * FROM ".DB_USERS." WHERE login LIKE '".$_POST['login']."'";
			$result = $dbh->query($query);
			
			if(!$result) throw new ExceptionMySQL($dbh->error,$query,"Ошибка при выполнении SQL запроса!"); 
	
			if($result->num_rows>0){
				$action = "";
				$error[] = "Данный логин уже зарегистрирован. Введите другой!";
			}
		}	

		$_POST['passw'] = md5($_POST['passw']);
	
		if(count($error)== 0){
		
			$_POST['login'] = $dbh->real_escape_string($_POST['login']);
			$_POST['name'] = $dbh->real_escape_string($_POST['name']);
		
			$insert = "INSERT INTO ".DB_USERS." (`id_user`,`login`,`psswd`,`name`) VALUES (0,'".$_POST['login']."','".$_POST['passw']."','".$_POST['name']."')";
			$result = $dbh->prepare($insert);
	
			if($result){
				$result->execute();	
				header("Location: index.php");
				exit();
			}
			else throw new ExceptionMySQL($dbh->error,$query,"Ошибка при выполнении SQL запроса!"); 			
		}
	}

	if(empty($action)){
	
?>
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="StyleSheet" type="text/css" href="style.css">
<title>Регистрация</title>
</head>
<body>
<h2>Пожалуйста зарегистрируйтесь, чтобы пройти тест</h2>
<form method="POST" action="<?php echo $_SERVER['PHP_SELF']; ?>">
<table border="0">
<tr>
<td width="200">Логин:</td>
<td width="180"><input type="text" name="login" value="<?php echo $_POST['login']; ?>" size="25"></td>
</tr>
<tr>
<td width="200">Пароль:</td>
<td width="180"><input type="text" name="passw" value="" size="25"></td>
</tr>
<tr>
<td width="200">Ведите имя:</td>
<td width="180"><input type="text" name="name" value="<?php echo $_POST['name']; ?>" size="25"></td>
</tr>
</table><br>
<input type="submit" value="Регистрация" name="action">
</form>
<?php

		if(count($error)>0){
			echo "<p class=error>Выявлены следующие ошибки: </p>";
			echo "<UL class=error>";
			
			foreach($error as $item){
				echo "<li>$item</li>";
			}
			
			echo "</UL>";
		}
	}

?>
</body>
</html>
<?php

}
catch(ExceptionMySQL $exc)
{
	require_once("admin/lib/exception_mysql_debug.inc");
}

?>